<template>
    <h2>Témoignages</h2>
    <div class="form-container">
        <form @submit="checkForm" action="http://localhost:5000/add/temoignages" method="post">
            <div class="inputs">
                <label for="nom_utilisateur">Nom</label>
                <input type="text" name="nom_utilisateur" id="nom_utilisateur" v-model="nom_utilisateur" required>
                
                <label for="prenom_utilisateur">Prénom</label>
                <input type="text" name="prenom_utilisateur" id="prenom_utilisateur" v-model="prenom_utilisateur" required>
            </div>
            <div class="inputs">
                <label for="temoignage">Témoignage</label>
                <textarea name="temoignage" id="temoignage" cols="30" rows="10" v-model="temoignage" required></textarea>
            </div>

            <div v-if="error" class="info-error">
                <p>{{error}}</p>
            </div>

            <input type="submit" value="Confirmer">
        </form>
    </div>
</template>

<script>
import axios from "axios"

export default {
    name: "FormTemoignage",
    data(){
        return{
            error:null,
            nom_utilisateur: null,
            prenom_utilisateur:null,
            temoignage:null,
            api_url:"http://localhost:5000/add/temoignages"
        }
    },
    methods:{
        checkForm(form){
            form.preventDefault()

            axios
            .post(this.api_url,{
                nom:this.nom_utilisateur,
                prenom: this.prenom_utilisateur,
                commentaire:this.temoignage
            })
            .then(response =>{

                if (response.status == 200){
                    this.error = "Votre témoignage, a bien été ajouté 😉"
                    setTimeout(()=>this.$router.push('/'),2000)
                }
                
            })
        }
    }
}
</script>

<style lang="scss">

@import "../style/default";

.form-container{
    display: flex;

    flex-direction: column;

    align-items: center;

    margin-bottom: 3%;

    font-family: $default_font;
    
    .inputs{
        display: flex;

        flex-direction: column;

        align-items: flex-start;

        text-align: start;

        margin-top: 5%;

        input[type="text"]{
            font-size: 2em;
            letter-spacing: 2px;
            width: 100%;
            outline: none;
            border:1px solid black;
            border-radius: 5px;
        }

        label{
            font-size: 2.3em;
            margin-bottom: 1%;
        }

        textarea{
            width: 100%;
            height: 300px;
            resize: none;
            font-size: 1.75em;
            letter-spacing: 3px;
            outline: none;
            border:1px solid black;
            border-radius: 5px;
        }
    }

    input[type="submit"]{
        margin-top: 5%;
        font-size: 1.75em;

        border:2px solid black;
        border-radius: 5px;

        padding: 10px;

        cursor: pointer;

        transition: all .5s;

        &:hover{
            background-color: $background-green;
            color:white;
        }


    }
}



</style>